FLANG

Static Public Member Functions | List of all members
fir::ClosedIntervalAttr Class Reference

`#include <flang/Optimizer/Dialect/FIRAttr.h>`

Inheritance diagram for fir::ClosedIntervalAttr:

## Static Public Member Functions
static constexpr llvm::StringRef | getAttrName ()
static ClosedIntervalAttr | get (mlir::MLIRContext *ctxt)
static constexpr bool | kindof (unsigned kind)
static constexpr unsigned | getId ()

## Detailed Description

A closed interval (including the bound values) is an interval with both an upper and lower bound as given as ssa-values. A case selector of `CASE (n:m)` corresponds to any value from `n` to `m` and is encoded as `#fir.interval, n, m`.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRAttr.h
- lib/Optimizer/Dialect/FIRAttr.cpp